scanhammer
Prev | Orchestra Opcodes and Operators | Next

## scanhammer

scanhammer — Copies from one table to another with a gain control.

## Description

This is is a variant of tablecopy, copying from one table to another, starting at ipos, and with a gain control. The number of points copied is determined by the length of the source. Other points are not changed. This opcode can be used to “hit” a string in the scanned synthesis code.

## Syntax

    scanhammer isrc, idst, ipos, imult

## Initialization

isrc -- source function table.

idst -- destination function table.

ipos -- starting position (in points).

imult -- gain multiplier. A value of 0 will leave values unchanged.

## See Also

scantable

## Credits

Author: Matt Gilliard
April 2002

New in version 4.20

Prev | Up | Next
scalearray | Home | scans